Bug 1783004 - Unable to boot RHCOS instances using libvirtd on s390x
Summary: Unable to boot RHCOS instances using libvirtd on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Alberto
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks: 1783010 1783013
TreeView+ depends on / blocked
 
Reported: 2019-12-12 19:26 UTC by Alex Crawford
Modified: 2020-05-18 18:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1783010 (view as bug list)
Environment:
Last Closed: 2020-05-15 15:54:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-api-provider-libvirt pull 182 None closed Replace guestfish with config drive on s390x platform 2020-05-18 18:06:26 UTC

Description Alex Crawford 2019-12-12 19:26:32 UTC
s390x doesn't support the QEMU firmware config device that we use to pass Ignition configs through to RHCOS guests. As a fallback, libguestfish was used to modify the root disk to directly inject the Ignition config. This doesn't work on remote machines though(as is always the case with libvirt and the cluster API provider), so the new approach is to use the RHCOS images built for OpenStack and to pass the Ignition config through the config-drive mechanism instead.

Comment 1 Jeremy Poulin 2019-12-12 19:40:13 UTC
Verified by Xin Ke Wang <wgxinke@cn.ibm.com> from the IBM Z team.

Moving to Verified.


Note You need to log in before you can comment on or make changes to this bug.